﻿using System;
using System.Diagnostics;
using System.Threading;
using System.Web.Mvc;
using WebApp.Models.Home;

namespace WebApp.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var model = new IndexModel
            {
                Message = GetMessage(),
                RandomNumber = GetRandomNumber()
            };

            return View(model);
        }

        public RedirectToRouteResult About()
        {
            ViewBag.Message = "Your application description page.";

            return RedirectToAction("Contact");
        }

        public ViewResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }

        private string GetMessage()
        {
            return "Hello World";
        }


        private int GetRandomNumber()
        {
            // Chosen by fair dice roll @ https://www.random.org/dice/?num=1. Guaranteed to be random.
            return 3;
        }


        public void DoNothing()
        {
            Debug.WriteLine("Nothing started", "DoNothing");
            Thread.Sleep(1700);
            Debug.WriteLine("Nothing finished", "DoNothing");
        }

        [OutputCache(Duration = 5)]
        public DateTime CurrentTime()
        {
            return DateTime.Now;
        }

        public PartialViewResult MessagePartial()
        {
            return PartialView("_message", GetMessage());
        }
    }
}