﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace WebApp.Helpers
{
    public static class UrlHelperExtensions
    {
        public static HtmlString Image(this UrlHelper url, string contentPath, string title = null)
        {
            var tag = new TagBuilder("img");

            tag.MergeAttribute("src", url.Content(contentPath));
            if(!String.IsNullOrWhiteSpace(title))
            {
                tag.MergeAttribute("title", title);
                tag.MergeAttribute("alt", title);
            }

            return new HtmlString(tag.ToString());
        }

    }
}